CREATE TABLE "Filiali" (
	"Città"		varchar(30),
	"Via"		varchar(40),
	"Civico"	varchar(10),
	"CAP"		varchar(5),
	PRIMARY KEY ("Città", "Via", "Civico")
);

CREATE TABLE "Clienti" (
	"Nome"		varchar(50),
	"Cognome"	varchar(50),
	"CF"		varchar(16),
	"Città"		varchar(30),
	"Via"		varchar(40),
	"Civico"	varchar(10),
	"CAP"		varchar(5),
	PRIMARY KEY ("CF")
);

CREATE TABLE "Conti correnti" (
	"IBAN"			varchar(27),
	"Saldo"			real,
	"Data apertura"		date,
	"Titolare"		varchar(16),
	"Città filiale"		varchar(30),
	"Via filiale"		varchar(40),
	"Civico filiale"	varchar(10),
	PRIMARY KEY ("IBAN"),
	FOREIGN KEY ("Titolare")
	   REFERENCES "Clienti"("CF"),
	FOREIGN KEY ("Città filiale", "Via filiale", "Civico filiale")
	   REFERENCES "Filiali"("Città", "Via", "Civico")
);
