CREATE TABLE "Velisti" (
  	"vid"		int,
 	"vnome"		varchar(20),
 	"esperienza"	int,
 	"età"		real,
 	PRIMARY KEY ("vid"),
	CHECK ("vid" > 0),
 	CHECK ("esperienza" >= 1 AND "esperienza" <= 10),
 	CHECK ("età" >= 18)
);


CREATE TABLE "Barche" (
 	"bid"		int,
 	"bnome"		varchar(25),
 	"colore"	varchar(10),
 	PRIMARY KEY ("bid"),
	CHECK ("bid" > 0)
);


CREATE TABLE "Prenotazioni" (
 	"bid" 		int,
 	"vid"		int,
 	"data" 		date,
 	PRIMARY KEY ("bid", "vid", "data"),
 	FOREIGN KEY ("bid") REFERENCES "Barche"("bid"),
 	FOREIGN KEY ("vid") REFERENCES "Velisti"("vid")
);
