CREATE  TABLE  "Studenti" (
 	"Cognome"			varchar(50),
 	"Nome"				varchar(50),
 	"Matricola"			varchar(5),
 	"Data di nascita"		date,
 	"Codice fiscale"		varchar(16),
	"Nome corso di studi"		varchar(50),
	"Livello corso di studi"	varchar(2),
 	UNIQUE ("Codice fiscale"),
 	PRIMARY KEY ("Matricola"),
	FOREIGN KEY ("Nome corso di studi", "Livello corso di studi")
	   REFERENCES "Corsi di studi"("Nome", "Livello")
);


CREATE  TABLE  "Corsi di studi" (
 	"Nome"		varchar(50),
 	"Livello"	varchar(2),
 	"Anno di istituzione"	integer,
 	"Durata"	integer,
 	PRIMARY KEY ("Nome", "Livello"),
	CHECK ("Anno di istituzione" >= 1995),
	CHECK (("Livello" = 'L') OR ("Livello" = 'LM') OR ("Livello" = 'CU')),
	CHECK (("Durata" >= 3) AND ("Durata" <= 6))
);
